GET Customer Stored Payment Method by UUID
Endpoint will return stored payment methods for the given customer.
Path Parameters
- Type: stringcustomer
_account _id requiredCustomer Account UUID
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorization
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
Empty object
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for get/customers/{customer_account_id}/stored-payment-methods
curl https://api-public-demo.menu.app/api/customers/4e42c2a6-3f23-11ed-936c-1a67b454859d/stored-payment-methods \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'X-QB-Enabled: true' \
--data '{}'
{
"status": "OK",
"code": 200,
"data": {
"stored_payment_methods": [
{
"id": "85688223-b4ee-4c0f-8593-513c182ef7b1",
"payment_method_id": "027b59de-97cb-48a0-9404-37f426659bad",
"preselected": true,
"properties": {
"card_type": "visa",
"masked_number": "901010******0004",
"expiration_date": "12/2024",
"last_four_digits": "0004"
}
}
]
}
}Example response